Gestiono
Referencia de APIResources / Resource

Create Resource bulk

← Back to full API reference
POST/v1/resource/bulkAuth required

Resource endpoints let you create and maintain catalog items used across sales, purchasing, and inventory workflows.

  • Validated by Zod schema: postBulkResource.

Request details

Body fields

FieldRequiredDescription
[]YesType: object
[].nameYesType: string
[].descriptionNoType: string
[].divisionIdNoType: number
[].variantOfNoType: number
[].typeYesEnum-like validator generated by zodFromObj
[].relationYesEnum-like validator generated by zodFromObj
[].unitYesType: string
[].priceStrategyYesEnum-like validator generated by zodFromObj
[].costStrategyNoEnum-like validator generated by zodFromObj
[].variationNoType: number
[].currencyNoEnum-like validator generated by zodFromObj
[].bulkVariationNoType: number
[].bulkVariationLabelNoType: string
[].bulkVariationMinQuantityNoType: number
[].canSellWithoutStockNoBoolean parser helper from common/utils.zBooleanExample: true
[].canBeSoldNoBoolean parser helper from common/utils.zBooleanExample: true
[].followsInventoryNoBoolean parser helper from common/utils.zBooleanExample: true
[].requiresSerialNumbersNoBoolean parser helper from common/utils.zBooleanExample: false
[].skuNoType: string
[].barCodeNoType: string
[].minStockAlertNoType: number
[].maxStockAlertNoType: number
[].quantityDecimalsNoType: numberExample: 0
[].taxesNoType: arrayExample:
[].taxes[]YesType: object
[].taxes[].taxRateIdYesType: number
[].defaultCostNoType: number
[].initialStockNoType: number
[].multimediaNoType: arrayExample:
[].multimedia[]YesType: object
[].multimedia[].urlYesType: string
[].multimedia[].typeNoType: enumExample: IMAGE
[].multimedia[].altNoType: string
[].labelsNoType: arrayExample:
[].labels[]YesType: string
[].serialNumbersNoType: arrayExample:
[].serialNumbers[]YesType: string
[].clientdataNoType: object
[].metadataNoType: unknown

Default payloads

Path params

json
{}

Query

json
{}

Body

json
[
  {
    "name": "string",
    "type": "string",
    "relation": "string",
    "unit": "string",
    "priceStrategy": "string"
  }
]

Sample response

json
{
  "success": true,
  "message": "<value>",
  "count": "<value>"
}